## xxhash 0.8.2

=== tests/Makefile ===
# ################################################################
# xxHash Makefile
# Copyright (C) 2012-2021 Yann Collet
#
# GPL v2 License
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# You can contact the author at:
#   - xxHash homepage: https://www.xxhash.com
#   - xxHash source repository: https://github.com/Cyan4973/xxHash
# ################################################################

CFLAGS += -Wall -Wextra -Wundef -g

CP = cp
NM = nm
GREP = grep
XXHSUM_DIR = ..
XXHSUM = $(XXHSUM_DIR)/xxhsum

# Define *.exe as extension for Windows systems
ifneq (,$(filter Windows%,$(OS)))
EXT =.exe
else
EXT =
endif

ifneq (,$(filter %UTF-8,$(LANG)))
ENABLE_UNICODE ?= 1
else
ENABLE_UNICODE ?= 0
endif

.PHONY: default
default: all

.PHONY: all
all: test

.PHONY: test
test: test_multiInclude test_unicode test_sanity

.PHONY: test_multiInclude
test_multiInclude:
	@$(MAKE) clean
	# compile without xxhash.o, ensure symbols exist within target
	# Note: built using only default rules
	$(MAKE) multiInclude
	@$(MAKE) clean
	# compile with xxhash.o, to detect duplicated symbols
	$(MAKE) multiInclude_withxxhash
	@$(MAKE) clean
	# compile with XXH_NAMESPACE before XXH_INLINE_ALL
	CPPFLAGS=-DXXH_NAMESPACE=TESTN_ $(MAKE) multiInclude
	# no symbol prefixed TESTN_ should exist
	! $(NM) multiInclude | $(GREP) TESTN_
	$(MAKE) clean
	# compile xxhash.o with XXH_NAMESPACE
	CPPFLAGS=-DXXH_NAMESPACE=TESTN_ $(MAKE) multiInclude_withxxhash
	# symbols prefixed TESTN_ should exist in xxhash.o (though not be invoked)
	$(NM) multiInclude_withxxhash | $(GREP) TESTN_
	$(MAKE) clean

.PHONY: test_ppc_redefine
test_ppc_redefine: ppc_define.c
	@$(MAKE) clean
	$(CC) $(CPPFLAGS) $(CFLAGS) -c $^

.PHONY: $(XXHSUM)
$(XXHSUM):
	$(MAKE) -C $(XXHSUM_DIR) xxhsum
	$(CP) $(XXHSUM) .

# Make sure that Unicode filenames work.
# https://github.com/Cyan4973/xxHash/issues/293
.PHONY: test_unicode
ifeq (0,$(ENABLE_UNICODE))
test_unicode:
	@echo "Skipping Unicode test, your terminal doesn't appear to support UTF-8."
	@echo "Try with ENABLE_UNICODE=1"
else
test_unicode: $(XXHSUM) generate_unicode_test.c
	# Generate a Unicode filename test dynamically
	# to keep UTF-8 out of the source tree.
	$(CC) $(CFLAGS) $(LDFLAGS) generate_unicode_test.c -o generate_unicode_test$(EXT)
	./generate_unicode_test$(EXT)
	$(SHELL) ./unicode_test.sh
endif

.PHONY: test_filename_escape
test_filename_escape: $(XXHSUM)
	./filename-escape.sh

.PHONY: test_cli_comment_line
test_cli_comment_line: $(XXHSUM)
	$(SHELL) ./cli-comment-line.sh

.PHONY: test_cli_ignore_missing
test_cli_ignore_missing: $(XXHSUM)
	$(SHELL) ./cli-ignore-missing.sh

.PHONY: test_sanity
test_sanity: sanity_test.c
	$(CC) $(CFLAGS) $(LDFLAGS) sanity_test.c -o sanity_test$(EXT)
	$(RUN_ENV) ./sanity_test$(EXT)

.PHONY: sanity_test_vectors.h
sanity_test_vectors.h: sanity_test_vectors_generator.c
	$(CC) $(CFLAGS) $(LDFLAGS) sanity_test_vectors_generator.c -o sanity_test_vectors_generator$(EXT)
	./sanity_test_vectors_generator$(EXT)

xxhash.o: ../xxhash.c ../xxhash.h
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -c -o $@ $<

multiInclude_withxxhash: multiInclude.o xxhash.o
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $^

clean:
	@$(RM) *.o
	@$(RM) multiInclude multiInclude_withxxhash
	@$(RM) *.unicode generate_unicode_test$(EXT) unicode_test.* xxhsum*
	@$(RM) sanity_test$(EXT) sanity_test_vectors_generator$(EXT)

=== debian/changelog ===
xxhash (0.8.2-2build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:23:58 +0200

xxhash (0.8.2-2) unstable; urgency=medium

  * d/patches: fix libxxhash.pc.in. (Closes: #1051776). Thanks to
    Michael R. Crusoe <crusoe@debian.org> for the patch.

 -- Josue Ortega <josue@debian.org>  Tue, 12 Sep 2023 18:16:00 +0530

xxhash (0.8.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.6.1, no changes needed.

  [ Josue Ortega ]
  * New upstream release (0.8.2):
    + Refresh debian/patches.
  * debian/copyright:
    + Fix GPL-2+ version. Thanks to Bastian Germann
      <bage@debian.org>. (Closes: #1012005).
    + Update copyright years.
  * debian/watch: Update watch file. Thanks to
    Patrice Duroux <patrice.duroux@gmail.com> for the patch.
    Closes: #1050859.
  * debian/rules: Add hardening flags.
  * Bump Standards-Version to 4.6.2. No changes required.

 -- Josue Ortega <josue@debian.org>  Sun, 10 Sep 2023 15:19:16 +0530

=== debian/control ===
Source: xxhash
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Josue Ortega <josue@debian.org>
Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.2)
Standards-Version: 4.6.2
Homepage: https://cyan4973.github.io/xxHash
Vcs-Browser: https://salsa.debian.org/debian/xxhash
Vcs-Git: https://salsa.debian.org/debian/xxhash.git -b master
Rules-Requires-Root: no

Package: xxhash
Architecture: any
Depends: libxxhash0 (>= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Extremely fast hash algorithm
 xxHash is an Extremely fast Hash algorithm, running at RAM speed limits.
 It successfully completes the SMHasher test suite which evaluates collision,
 dispersion and randomness qualities of hash functions. Code is highly portable,
 and hashes are identical on all platforms (little / big endian).

Package: libxxhash0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: shared library for xxhash
 xxHash is an Extremely fast Hash algorithm, running at RAM speed limits.
 It successfully completes the SMHasher test suite which evaluates collision,
 dispersion and randomness qualities of hash functions. Code is highly portable,
 and hashes are identical on all platforms (little / big endian).
 .
 This package contains the shared library.

Package: libxxhash-dev
Architecture: any
Section: libdevel
Depends: libxxhash0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: header files and a static library for libxxhash
 xxHash is an Extremely fast Hash algorithm, running at RAM speed limits.
 It successfully completes the SMHasher test suite which evaluates collision,
 dispersion and randomness qualities of hash functions. Code is highly portable,
 and hashes are identical on all platforms (little / big endian).
 .
 This package contains xxHash static library and header files.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

ifneq (,$(filter $(DEB_HOST_ARCH_CPU),i386 amd64))
	export DISPATCH=1
endif

%:
	dh $@

override_dh_auto_install:
	$(MAKE) PREFIX=$(CURDIR)/debian/tmp/usr LIBDIR=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) install
	dh_install

# not to be run, removes compiled files
override_dh_auto_test:

# do not check for uninstalled man pages
override_dh_missing:

## xxhash 0.8.3

=== debian/changelog ===
xxhash (0.8.3-2) unstable; urgency=medium

  * Fix FTBFS by adding specific symbols for i386 and amd64.
    (Closes: #1092100)

 -- Josue Ortega <josue@debian.org>  Sat, 04 Jan 2025 17:06:24 -0600

xxhash (0.8.3-1) unstable; urgency=medium

  * New upstream release 0.8.3:
  * Update libxxhash0.symbols file:
    + Add XXH_featureTest@Base symbol.
    + Update debian/rules to export LIBXXH_DISPATCH enabling dispatch
      symbols that were disabled by upstream.
  * Update copyright holder year for debian/*.
  * Add Build-Depends-Package entry to libxxhash0.symbols
  * Bump Standards-Version to 4.7.0. No changes were required.

 -- Josue Ortega <josue@debian.org>  Fri, 03 Jan 2025 16:30:13 -0600

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: xxhash
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Josue Ortega <josue@debian.org>
+Maintainer: Josue Ortega <josue@debian.org>
 Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.2)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://cyan4973.github.io/xxHash
 Vcs-Browser: https://salsa.debian.org/debian/xxhash
 Vcs-Git: https://salsa.debian.org/debian/xxhash.git -b master

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 include /usr/share/dpkg/architecture.mk
 
 ifneq (,$(filter $(DEB_HOST_ARCH_CPU),i386 amd64))
-	export DISPATCH=1
+	export LIBXXH_DISPATCH=1
 endif
 
 %:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?@ANY_VERSION@(@ARCHIVE_EXT@)/xxhash-$1$2/ \
  https://github.com/Cyan4973/xxHash/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
